/* 我的练习 */
.practice {
    background-color: #fff;
}

.practice .tody-schedule {
    margin-bottom: 20px;
}
.practice .tody-schedule .title,
.practice .my-course .title {
    padding-bottom: 18px;
    margin-bottom: 21px;
    border-bottom: 1px dashed #D8D8D8;
    padding-left: 40px;
}
.practice .tody-schedule .title .schedule {
    color: #8C8C8C;
    cursor: pointer;
}
.practice .tody-schedule .title .schedule .icon {
    width: 15px;
    height: 14px;
    vertical-align: middle;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-image: url(../../images/pc/user-center-calendar.png);
    /* margin-right: 6px; */
    position: relative;
    top: -1px;
}
.practice .tody-schedule .no-data {
    color: #262626;
}

.practice .user-center-item {
    background-color: #fff;
    padding: 20px 10px 10px;
}

.practice .my-course .tab {
    color: #878787;
    margin-bottom: 7px;
}
.practice .my-course .tab .tab-item {
    cursor: pointer;
    margin-right: 32px;
}
.practice .my-course .tab .tab-item:first-child {
    position: relative;
}
.practice .my-course .tab .tab-item:last-child {
    position: relative;
}
.practice .my-course .tab .tab-item:first-child::after {
    content: '';
    position: absolute;
    top: 50%;
    right: -17px;
    transform: translateY(-50%);
    height: 65%;
    border-right: 1px solid #979797;
}
.practice .my-course .tab .tab-item:last-child::before {
    content: '';
    position: absolute;
    top: 50%;
    left: -17px;
    transform: translateY(-50%);
    height: 65%;
    border-left: 1px solid #979797;
}
.practice .my-course .tab .tab-item.active {
    cursor: default;
    color: #B39761;
}

.practice .my-course .no-data img {
    margin-bottom: 27px;
}

.practice .blank {
    min-height: 400px;
    text-align: center;
}
.practice .blank a {
    text-decoration: underline;
}
.practice .list{
    margin: 0 43px;
}
.practice .list .plan-title {
    position: absolute;
    /* background-color: rgba(32,44,78,1); */
    padding: 5px 10px 6px 10px;
    box-sizing: border-box;
    left: -10px;
    top: -6px;
    font-size:12px;
    font-family:PingFangSC-Medium,PingFang SC;
    font-weight:500;
    color:rgba(233,211,166,1);
    line-height:17px;
    /* height: 28px; */
}

.practice .list .plan-title span{
    background-color: rgba(32,44,78,1);
    padding: 5px 10px 6px 10px;
}

.practice .list .plan-title img {
    width: 5px;
    vertical-align: middle;
    height: 29px;
}

.practice .list li {
    margin: 30px 0;
    padding: 20px 20px;
    height:187px;
    /* border-bottom: 1px dotted #7A7A7A; */
    background: rgba(245,246,247,1);
}
.practice .list .online {
    position: relative;
}
.practice .list li:last-child {
    border-bottom: none;
}
.practice .list .left-part {
    width:231px;
    height:139px;
    background:linear-gradient(345deg,rgba(241,236,222,1) 0%,rgba(223,211,185,1) 100%);
    border-radius:8px;
    float: left;
}
.practice .list .left-part img {
    width:231px;
    height:139px;
    border-radius:8px;
}
.practice .list .center-part {
    margin-left: 33px;
    float: left;
    /* width: 400px; */
}
.practice .list .center-part .ltitle {
    font-size:18px;
    font-weight:600;
    color: #1D1D1D;
    line-height:25px;
    padding-top: 10px;
    width: 350px;
    text-overflow: ellipsis; /* 文本溢出时显示省略号来代表被修剪的文本 */
    white-space: nowrap; /* 段落中的文本不进行换行 */
    overflow: hidden; /* 溢出部分隐藏 */
}
.practice .list .center-part .name {
    font-size:14px;
    font-weight:500;
    color:#888888;
    line-height:20px;
    margin: 10px 0;
}
.practice .list .center-part .name span {
    color: #262626;
}
.practice .list .center-part .name i {
    color: #979797;
}
.practice .list .center-part .join {
    font-size:11px;
    font-weight:500;
    color: #9C9C9C;
    line-height:16px;
    margin-top: 70px;
}
.practice .list .center-part .progress {
    margin-top: 10px;
    /* width:386px; */
    width:300px;
    height:8px;
    background: #EDEDED;
    border-radius:4px;
    position: relative;
}
.practice .list .center-part .progress span {
    display: block;
    /*width: 50%;*/
    height:8px;
    position: absolute;
    left: 0;
    top: 0;
    background-color: #AA7550;
    border-radius:4px;
}
.practice .list .center-part .progress div {
    position: absolute;
    right: -40px;
    font-size:14px;
    font-weight:500;
    color: #AA7550;
    line-height:20px;
    top: -6px;
}
.practice .list .right-part {
    float: right;
    width:180px;
    height:139px;
}
.practice .list .right-part div {
    width:110px;
    height:44px;
    background:linear-gradient(135deg,rgba(233,211,166,1) 0%,rgba(228,187,138,1) 100%);
    border-radius:22px;
    font-size:15px;
    font-family:PingFangSC-Medium,PingFang SC;
    font-weight:500;
    color:rgba(101,79,47,1);
    line-height:44px;
    text-align: center;
    cursor: pointer;
}
.practice {
    background-color: #fff;
}
/* .practice .title {
    height: 73px;
    line-height: 28px;
    font-size: 20px;
    font-weight: 600;
    color: #2B2B2B;
    line-height: 73px;
    margin: 0 43px;
    border-bottom: 1px dashed #D8D8D8;
} */
.align-center {
    display:flex;
    align-items:center;/*垂直居中*/
    justify-content: center;/*水平居中*/
}
.practice .blank {
    min-height: 400px;
    text-align: center;
}
.practice .blank a {
    text-decoration: underline;
}
.practice .open-course-list{
    margin: 0 70px;
}
.practice .open-course-list li {
    padding: 39px 0px 20px;
    border-bottom: 1px solid #EEEEEE;
}
.practice .open-course-list li:last-child {
    border-bottom: none;
}
.practice .open-course-list .clearfix .content {
    font-size:14px;
    font-family:PingFangSC-Regular,PingFang SC;
    font-weight:400;
    color:rgba(79,79,79,1);
    line-height:24px;
    margin-bottom: 27px;
    text-align: justify;
    width: 796px;
    text-align: justify;
    word-break: break-all;
    /* word-break: break-all;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden; */
    position: relative;
}

.practice .open-course-list .clearfix .content.active {
    /* max-height: 72px; */
    overflow: hidden;
}

.practice .open-course-list .clearfix .content .unfold {
    color: rgb(78, 125, 189);
    /* margin-bottom: 10px; */
    text-align: end;
    width: 300px;
    position: relative;
    /* top: -32px; */
    bottom: 0px;
    right: 0px;
    background: linear-gradient(45deg, transparent, white);
    position: absolute;
}

.practice .open-course-list .clearfix .info {
    display: flex;
    justify-content: space-between;
}

.practice .open-course-list .clearfix .info .source {
    font-size:14px;
    font-family:PingFangSC-Regular,PingFang SC;
    font-weight:400;
    color:rgba(79,79,79,1);
    line-height:24px;
    cursor: pointer;
}

.practice .open-course-list .clearfix .info .about {
    font-size:14px;
    font-family:PingFangSC-Regular,PingFang SC;
    font-weight:400;
    color:rgba(178,178,178,1);
    line-height:20px;
}

.practice .open-course-list .clearfix .info .about span:nth-of-type(1) {
    margin-right: 30px;
}

.practice .open-course-list .clearfix .info .about span:nth-of-type(2) {
    margin-right: 10px;
}

.practice .open-course-list .clearfix .info .about span:nth-of-type(3) {
    margin-right: 10px;
}

.practice .open-course-list .clearfix .info .about span:nth-of-type(4) {
    margin-right: 10px;
}
/*E 此处分页css*/